/*
 * Copyright (C) 2010 Olivier PARISOT <parisot_olivier@yahoo.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.doopyon.ravanelab.core.repositoryimpl;

import java.util.*;
import org.doopyon.ravanelab.core.domain.*;
import org.springframework.stereotype.*;


/**
 * Repository implementation for Team.
 * 
 * @author Olivier PARISOT
 */
@Repository(TeamRepositoryImpl.BEAN_ID)
public class TeamRepositoryImpl extends TeamRepositoryBase 
{
	//
	// Instance methods
	//
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public final Team findTeamByName(String teamName) 
	{
		final Set<String> naturalKeys=new HashSet<String>(1);
		naturalKeys.add(teamName);
		return findByNaturalKeys(naturalKeys).get(teamName);
	}
}
