/*
 * Copyright (C) 2010 Olivier PARISOT <parisot_olivier@yahoo.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.doopyon.ravanelab.util;

import java.util.*;


/**
 * String utility class.
 * 
 * @author Olivier PARISOT
 */
public final class StringUtil 
{
	//
	// Constructor
	//
	
	/**
	 * Private constructor to avoid instanciation.
	 */	
	private StringUtil() {}
	
	
	//
	// Static methods
	//
	
	/**
	 * Concatenate an array of Strings into a String.
	 */
	public static final String concat(final String[] table)
	{		
		return concat(Arrays.asList(table));
	}
	
	/**
	 * Concatenate a collection of objects into a String.
	 */
	public static final String concat(final Collection<?> col)
	{
		final StringBuilder sb=new StringBuilder().append('[');
		for (Object o:col) sb.append(o.toString()).append(',');
		sb.setLength(sb.length()-1);
		sb.append(']');
		return sb.toString();
	}
}
